IntlChar::isalnum
IntlChar::isbase
IntlChar
PHP Manual

# IntlChar::isalpha

(PHP 7)

IntlChar::isalpha — Check if code point is a letter character

### Description

public static bool IntlChar::isalpha ( mixed `$codepoint` )

Determines whether the specified code point is a letter character. `TRUE` for general categories "L" (letters).

### Parameters

`codepoint`

  The integer codepoint value (e.g. 0x2603 for U+2603 SNOWMAN), or the character encoded as a UTF-8 string (e.g. "\u{2603}")

### Return Values

Returns `TRUE` if `codepoint` is a letter character, `FALSE` if not.

### Examples

Example #1 Testing different code points

`<?php
var_dump(IntlChar::isalpha("A"));
var_dump(IntlChar::isalpha("1"));
var_dump(IntlChar::isalpha("\u{2603}"));
?>`

The above example will output:

    bool(true)
    bool(false)
    bool(false)

### See Also

- IntlChar::isalnum() - Check if code point is an alphanumeric character
- IntlChar::isdigit() - Check if code point is a digit character

IntlChar::isalnum
IntlChar::isbase
IntlChar
PHP Manual